# Derived values
%define module BerkeleyDB
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: Perl module %{module}
Name: perl-berkeleydb
Version: 0.28
Release: 2tr
License: distributable
Group: Trustix Official
Source0: http://mirror.gnowledge.org/cpan/authors/id/P/PM/PMQS/%{module}-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot-%(id -nu)/
BuildRequires:  perl db4
Requires:       perl = %{perlver}
Provides:       %{module} = %{version}
Provides:	perl(BerkeleyDB)

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
%{module} module from CPAN for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{module}-%{version} 

perl -pi -e 's|/usr/local/bin/perl|/usr/bin/perl|' `find . -type f -print`

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files
%defattr(-,root,root,0755)
%{siteperl}/%{_arch}-linux-thread-multi/BerkeleyDB.*
%{siteperl}/%{_arch}-linux-thread-multi/BerkeleyDB
%{siteperl}/%{_arch}-linux-thread-multi/auto/BerkeleyDB
/usr/share/man/man3/*
%doc Changes README MANIFEST

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Jun 21 2006 Nived Gopalan <nived at trustix dot org> 0.28-1tr
- New Upstream

* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 0.26-10tr
- Rebuilt on perl-5.8.7	
		
* Wed May 18 2005 Ajith Thampi <ajith at comodo dot com> 0.26-8tr
- Rebuilt on db-4.3.28		
- Added BuildRequires of db4

* Mon Apr 25 2005 Ajith Thampi <ajith at comodo dot com> 0.26-7tr
- Rebuilt on db-4.3.27
 
* Thu Mar 17  2005 Hasher Jamaludeen <hasher at comodo dot com>
- Rebuilt
